#ifndef OBJECT_H
#define OBJECT_H
#include <string>
//I don't know how should it look like!
class Object
{
    public:
        Object();
        virtual ~Object();
        //Representation of the object
        std::string str();
        //Type
        std::string type();
        //Possible values
        double number_value;
        std::string characters;
    protected:
    private:
};

#endif // OBJECT_H
